{ config, pkgs, ... }:
{
  programs.zsh = {
    enable = true;
    dotDir = ".config/zsh";
    autosuggestion.enable = true;
    syntaxHighlighting.enable = true;
    historySubstringSearch.enable = true;
    oh-my-zsh = {
      enable = true;
      theme = "agnoster";
      plugins = [
        "git"
        "history"
      ];
    };
    history = {
      append = true;
      ignoreAllDups = true;
      ignoreSpace = true;
      path = "$ZDOTDIR/.zsh_history";
    };
    initExtra = ''
      smallfetch
      source ${pkgs.zsh-you-should-use}/share/zsh/plugins/you-should-use/you-should-use.plugin.zsh
    '';
  };

  home.persistence."/persist${config.home.homeDirectory}".directories = [ ".config/zsh" ];
}
